%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Customize client
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of possible customization of Java Client.

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=\
	Set(parameter,debug,on);\
	Get(screen_size);\
	Get(model);\
	Get(version);\
	Get(ping);\
	Get(cover_size);\
	Set(fg,0,0,0);\
	Set(bg,255,255,255);\
	Set(status,status field);\
	Set(title,title\nfield);\
	Set(icons,Customize-1,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,no);

Back=Set(text,close,clear);

1=Set(status,test string test string)
2=Set(fg,255,255,0);Set(icons,Set foregroung)
3=Set(bg,0,0,0);Set(fg,255,255,255);Set(icons,caption);

4=Set(font,small);Set(icons,set small font,4,minus,5,down,6,plus);
5=Set(font,medium);Set(icons,set medium font);
6=Set(font,large);Set(icons,set large font);

7=Set(list,replace,Example list,Item1, Item2, Item3,Item4, Item5,Item6,Item7,Item8,Item9, Item10);
8=Set(title,12345678901234567890123456789012345678901234567890)
9=Set(title,123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890);Set(icons,show very long string);

* *=Set(text,replace,Help,Just press buttons\nand inspect results)
* 1=Set(text,show);
* 2=Set(list,show);
0 0=Set(vibrate);
0 1=Set(fullscreen,on);
0 2=Set(fullscreen,off);

0 7=Make(disconnect);
0 8=Set(disconnect);

#=Set(fg,0,0,0);Set(bg,255,255,255);Set(status,status field);Set(title,title field);Set(icons,caption);

Back($$)=Set(list,close,clear);
Select($$)=Set(title,$(Param) was selected);Set(list,close);

[End]
